# class Net::IMAP::BodyTypeBasic

`Net::IMAP::BodyTypeBasic` represents basic body structures of messages.

#### Fields:¶ ↑

media_type

  Returns the content media type name as defined in [MIME-IMB].

subtype

  Returns the content subtype name as defined in [MIME-IMB].

param

  Returns a hash that represents parameters as defined in [MIME-IMB].

content_id

  Returns a string giving the content id as defined in [MIME-IMB].

description

  Returns a string giving the content description as defined in [MIME-IMB].

encoding

  Returns a string giving the content transfer encoding as defined in [MIME-IMB].

size

  Returns a number giving the size of the body in octets.

md5

  Returns a string giving the body MD5 value as defined in [MD5].

disposition

  Returns a Net::IMAP::ContentDisposition object giving the content disposition.

language

  Returns a string or an array of strings giving the body language value as defined in [LANGUAGE-TAGS].

extension

  Returns extension data.

multipart?

  Returns false.

### Public Instance Methods

media_subtype() click to toggle source

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

    # File lib/net/imap.rb, line 2039
    def media_subtype
      warn("media_subtype is obsolete, use subtype instead.\n", uplevel: 1)
      return subtype
    end

multipart?() click to toggle source

    # File lib/net/imap.rb, line 2032
    def multipart?
      return false
    end